org.apache.mina.filter.executor

## Interface IoEventQueueHandler

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    IoEventQueueThrottle

      public interface IoEventQueueHandler
      extends EventListener

  Listens and filters all event queue operations occurring in `OrderedThreadPoolExecutor` and `UnorderedThreadPoolExecutor`.
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IoEventQueueHandler` | `NOOP` A dummy handler which always accepts event doing nothing particular.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(Object source, IoEvent event)` Returns `true` if and only if the specified `event` is allowed to be offered to the event queue.
    `void` | `offered(Object source, IoEvent event)` Invoked after the specified `event` has been offered to the event queue.
    `void` | `polled(Object source, IoEvent event)` Invoked after the specified `event` has been polled from the event queue.

- - ### Field Detail

    - #### NOOP

          static final IoEventQueueHandler NOOP

      A dummy handler which always accepts event doing nothing particular.

  - ### Method Detail

    - #### accept

          boolean accept(Object source,
                       IoEvent event)

      Returns `true` if and only if the specified `event` is allowed to be offered to the event queue. The `event` is dropped if `false` is returned.

    - #### offered

          void offered(Object source,
                     IoEvent event)

      Invoked after the specified `event` has been offered to the event queue.

    - #### polled

          void polled(Object source,
                    IoEvent event)

      Invoked after the specified `event` has been polled from the event queue.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.